#pragma once

// MassBuilderSaveTool
// Copyright (C) 2021 Guillaume Jacquemin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <https://www.gnu.org/licenses/>.

#include <string>
#include <unordered_map>

static const std::unordered_map<std::string, const char*> armour_slots {
    {"enuArmorSlots::NewEnumerator0",  "Face"},
    {"enuArmorSlots::NewEnumerator1",  "Upper head"},
    {"enuArmorSlots::NewEnumerator2",  "Lower head"},
    {"enuArmorSlots::NewEnumerator3",  "Neck"},
    {"enuArmorSlots::NewEnumerator4",  "Upper body"},
    {"enuArmorSlots::NewEnumerator5",  "Middle body"},
    {"enuArmorSlots::NewEnumerator23", "Backpack"},
    {"enuArmorSlots::NewEnumerator6",  "Lower body"},
    {"enuArmorSlots::NewEnumerator7",  "Front waist"},
    {"enuArmorSlots::NewEnumerator8",  "Left front skirt"},
    {"enuArmorSlots::NewEnumerator9",  "Right front skirt"},
    {"enuArmorSlots::NewEnumerator10", "Left side skirt"},
    {"enuArmorSlots::NewEnumerator11", "Right side skirt"},
    {"enuArmorSlots::NewEnumerator12", "Left back skirt"},
    {"enuArmorSlots::NewEnumerator13", "Right side skirt"},
    {"enuArmorSlots::NewEnumerator14", "Back waist"},
    {"enuArmorSlots::NewEnumerator15", "Left shoulder"},
    {"enuArmorSlots::NewEnumerator16", "Right shoulder"},
    {"enuArmorSlots::NewEnumerator17", "Left upper arm"},
    {"enuArmorSlots::NewEnumerator18", "Right upper arm"},
    {"enuArmorSlots::NewEnumerator19", "Left elbow"},
    {"enuArmorSlots::NewEnumerator20", "Right elbow"},
    {"enuArmorSlots::NewEnumerator21", "Left lower arm"},
    {"enuArmorSlots::NewEnumerator22", "Right lower arm"},
    {"enuArmorSlots::NewEnumerator24", "Left hand"},
    {"enuArmorSlots::NewEnumerator25", "Right hand"},
    {"enuArmorSlots::NewEnumerator26", "Left upper leg"},
    {"enuArmorSlots::NewEnumerator27", "Right upper leg"},
    {"enuArmorSlots::NewEnumerator28", "Left knee"},
    {"enuArmorSlots::NewEnumerator29", "Right knee"},
    {"enuArmorSlots::NewEnumerator30", "Left lower leg"},
    {"enuArmorSlots::NewEnumerator31", "Right lower leg"},
    {"enuArmorSlots::NewEnumerator32", "Left ankle"},
    {"enuArmorSlots::NewEnumerator33", "Right ankle"},
    {"enuArmorSlots::NewEnumerator34", "Left heel"},
    {"enuArmorSlots::NewEnumerator35", "Right heel"},
    {"enuArmorSlots::NewEnumerator36", "Left foot"},
    {"enuArmorSlots::NewEnumerator37", "Right foot"},
};
